List all deleted transactions
Lists deleted transactions of the specified type(s) (e.g., invoice, bill, estimate) in the last 90 days. Results are grouped by transaction type and ordered by actual delete time (ascending). NOTE: For deleted non-transaction list-objects (e.g., customer, vendor, employee), see the deleted-list-objects endpoint.
NOTE: QuickBooks Desktop does not support pagination for deleted transactions; hence, there is no cursor parameter. Users typically have few deleted transactions.
Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Query Parameters
Filter for deleted transactions by their transaction type(s).
ar_refund_credit_card, bill, bill_payment_check, bill_payment_credit_card, build_assembly, charge, check, credit_card_charge, credit_card_credit, credit_memo, deposit, estimate, inventory_adjustment, invoice, item_receipt, journal_entry, purchase_order, receive_payment, sales_order, sales_receipt, sales_tax_payment_check, time_tracking, transfer_inventory, vehicle_mileage, vendor_credit ["invoice"]Filter for deleted transactions deleted on or after this date/time, within the last 90 days (QuickBooks limit). Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the start of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T00:00:00). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-01-01T12:34:56.000Z"
Filter for deleted transactions deleted on or before this date/time, within the last 90 days (QuickBooks limit). Accepts the following ISO 8601 formats:
- date-only (YYYY-MM-DD) - QuickBooks Desktop interprets the date as the end of the specified day in the local timezone of the end-user's computer (e.g.,
2025-01-01→2025-01-01T23:59:59). - datetime without timezone (YYYY-MM-DDTHH:mm:ss) - QuickBooks Desktop interprets the timestamp in the local timezone of the end-user's computer.
- datetime with timezone (YYYY-MM-DDTHH:mm:ss±HH:mm) - QuickBooks Desktop interprets the timestamp using the specified timezone.
"2025-02-01T12:34:56.000Z"
Response
Returns a list of deleted transactions.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/deleted-transactions"
The array of deleted transactions.

